package com.nemoquiz.backendlesstest;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import com.backendless.Backendless;
import com.backendless.BackendlessCollection;
import com.backendless.async.callback.AsyncCallback;
import com.backendless.async.callback.BackendlessCallback;
import com.backendless.exceptions.BackendlessFault;

import java.util.List;

public class MainActivity extends AppCompatActivity {
    EditText mComment;
    Button bSubmit;
    Button bRetrieve;
    TextView status;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        //Enter your own SecretKey and appID in place of these ones.
        String appID = "36B067E1-F470-1927-FFE8-C99EF45CAA00";
        String secretKey = "F7BB64E5-A989-521A-FFF1-3C6921C45400";
        Backendless.initApp(this,appID,secretKey,"v1");
        mComment = (EditText) findViewById(R.id.etComment);
        bSubmit = (Button) findViewById(R.id.bSubmit);
        bRetrieve = (Button) findViewById(R.id.bRetrieve);
        status = (TextView) findViewById(R.id.status);

        bSubmit.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Comment newComment = new Comment();
                newComment.setMessage(mComment.getText().toString());
                Log.i("Comments",newComment.getMessage());
                newComment.setAuthorEmail("generic@domain.com");
                Backendless.Persistence.save(newComment, new BackendlessCallback<Comment>() {
                    @Override
                    public void handleResponse(Comment response) {
                        Log.i("Comments", "New comment saved");
                        status.setText("New comment saved: "+response.getMessage());
                        mComment.setText("");
                    }
                });
            }
        });

        bRetrieve.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Backendless.Persistence.of(Comment.class).find(new BackendlessCallback<BackendlessCollection<Comment>>() {
                    @Override
                    public void handleResponse(BackendlessCollection<Comment> data) {
                        List<Comment> comments = data.getData();
                        String m = "";
                        for(int i=0;i<comments.size(); i++){
                            m += comments.get(i).getMessage()+"\n";
                        }
                        status.setText(m);
                    }
                });
            }
        });
    }
}